from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XTitle(XInterface, Protocol):
    def getText(self) -> list[XFormattedString]: ...
    def setText(self, Strings: sequence< XFormattedString >) -> None: ...
